librevenge::RVNGPropertyListIterImpl Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
librevenge::RVNGPropertyListIterImpl Class Reference

## Public Member Functions
| RVNGPropertyListIterImpl (const RVNGPropertyListImpl *impl)
void | rewind ()
bool | next ()
bool | last ()
const RVNGProperty * | operator() () const
const RVNGPropertyListVector * | child () const
const char * | key () const

## Private Member Functions
| RVNGPropertyListIterImpl (const RVNGPropertyListIterImpl &other)
RVNGPropertyListIterImpl & | operator= (const RVNGPropertyListIterImpl &other)

## Private Attributes
bool | m_imaginaryFirst
std::map< std::string, RVNGPropertyListElement >::iterator | m_iter
std::map< std::string, RVNGPropertyListElement > * | m_map

## Constructor & Destructor Documentation

## ◆ RVNGPropertyListIterImpl() [1/2]

librevenge::RVNGPropertyListIterImpl::RVNGPropertyListIterImpl | ( | const RVNGPropertyListImpl * | impl | ) |

## ◆ RVNGPropertyListIterImpl() [2/2]

librevenge::RVNGPropertyListIterImpl::RVNGPropertyListIterImpl | ( | const RVNGPropertyListIterImpl & | other | ) |
| private

## Member Function Documentation

## ◆ child()

const RVNGPropertyListVector * librevenge::RVNGPropertyListIterImpl::child | ( |  | ) | const

## ◆ key()

const char * librevenge::RVNGPropertyListIterImpl::key | ( |  | ) | const

## ◆ last()

bool librevenge::RVNGPropertyListIterImpl::last | ( |  | ) |

## ◆ next()

bool librevenge::RVNGPropertyListIterImpl::next | ( |  | ) |

## ◆ operator()()

const RVNGProperty * librevenge::RVNGPropertyListIterImpl::operator() | ( |  | ) | const

## ◆ operator=()

RVNGPropertyListIterImpl & librevenge::RVNGPropertyListIterImpl::operator= | ( | const RVNGPropertyListIterImpl & | other | ) |
| private

## ◆ rewind()

void librevenge::RVNGPropertyListIterImpl::rewind | ( |  | ) |

## Member Data Documentation

## ◆ m_imaginaryFirst

bool librevenge::RVNGPropertyListIterImpl::m_imaginaryFirst
| private

Referenced by next(), and rewind().

## ◆ m_iter

std::map<std::string,RVNGPropertyListElement>::iterator librevenge::RVNGPropertyListIterImpl::m_iter
| private

Referenced by child(), key(), last(), next(), operator()(), and rewind().

## ◆ m_map

std::map<std::string, RVNGPropertyListElement>* librevenge::RVNGPropertyListIterImpl::m_map
| private

Referenced by last(), next(), and rewind().

The documentation for this class was generated from the following file:

- RVNGPropertyList.cpp